[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# IInterfaceList.Lock

Lock the list

## Declaration

Source position: classesh.inc line 1842

`procedure IInterfaceList.Lock;`

## Description

Lock locks the list. After a call to lock, the object list can only be accessed by the current thread, untill UnLock is called.

## See also

TInterfaceList.Lock |  | Lock the list
IInterfaceList.Unlock |  | Unlock the list.

Documentation generated on: Feb 26 2014